com.intellectualcrafters.plot.events

## Class PlotMergeEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.intellectualcrafters.plot.events.PlotMergeEvent

- All Implemented Interfaces:
    org.bukkit.event.Cancellable

      public class PlotMergeEvent
      extends org.bukkit.event.Event
      implements org.bukkit.event.Cancellable

  Created by Citymonstret on 2014-08-09.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bukkit.event.Event

      `org.bukkit.event.Event.Result`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlotMergeEvent(org.bukkit.World world, Plot plot, java.util.ArrayList<PlotId> plots)` PlotMergeEvent: Called when plots are merged

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.bukkit.event.HandlerList` | `getHandlerList()`
    `org.bukkit.event.HandlerList` | `getHandlers()`
    `Plot` | `getPlot()` Get the main plot
    `java.util.ArrayList<PlotId>` | `getPlots()` Get the plots being added;
    `org.bukkit.World` | `getWorld()`
    `boolean` | `isCancelled()`
    `void` | `setCancelled(boolean b)`

    - ### Methods inherited from class org.bukkit.event.Event

      `getEventName, isAsynchronous`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlotMergeEvent

          public PlotMergeEvent(org.bukkit.World world,
                        Plot plot,
                        java.util.ArrayList<PlotId> plots)

      PlotMergeEvent: Called when plots are merged
      Parameters:
        `player` -
        `plot` -

  - ### Method Detail

    - #### getHandlerList

          public static org.bukkit.event.HandlerList getHandlerList()

    - #### getPlots

          public java.util.ArrayList<PlotId> getPlots()

      Get the plots being added;
      Returns:
        Plot

    - #### getPlot

          public Plot getPlot()

      Get the main plot
      Returns:
        Plot

    - #### getWorld

          public org.bukkit.World getWorld()

    - #### getHandlers

          public org.bukkit.event.HandlerList getHandlers()

      Specified by:
        `getHandlers` in class `org.bukkit.event.Event`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `org.bukkit.event.Cancellable`

    - #### setCancelled

          public void setCancelled(boolean b)

      Specified by:
        `setCancelled` in interface `org.bukkit.event.Cancellable`